Changes
curl --request GET \
--url https://api.themoviedb.org/3/tv/season/{season_id}/changes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/season/{season_id}/changes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/season/{season_id}/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/tv/season/{season_id}/changes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/tv/season/{season_id}/changes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/tv/season/{season_id}/changes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/tv/season/{season_id}/changes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"changes": [
{
"key": "episode",
"items": [
{
"id": "5717c8c69251414cfd00250f",
"action": "updated",
"time": "2016-04-20 18:21:58 UTC",
"value": {
"episode_id": 63056,
"episode_number": 1
}
},
{
"id": "5717c90dc3a3686cb7001dd5",
"action": "updated",
"time": "2016-04-20 18:23:09 UTC",
"value": {
"episode_id": 63057,
"episode_number": 2
}
},
{
"id": "5717c917c3a3686c83001bb4",
"action": "updated",
"time": "2016-04-20 18:23:19 UTC",
"value": {
"episode_id": 63058,
"episode_number": 3
}
},
{
"id": "5717c91e9251417a22007531",
"action": "updated",
"time": "2016-04-20 18:23:26 UTC",
"value": {
"episode_id": 63059,
"episode_number": 4
}
},
{
"id": "5717c96fc3a3680160001730",
"action": "updated",
"time": "2016-04-20 18:24:47 UTC",
"value": {
"episode_id": 63060,
"episode_number": 5
}
},
{
"id": "5717c97cc3a3687bc7001548",
"action": "updated",
"time": "2016-04-20 18:25:00 UTC",
"value": {
"episode_id": 63061,
"episode_number": 6
}
},
{
"id": "5717c989c3a3686c83001bc7",
"action": "updated",
"time": "2016-04-20 18:25:13 UTC",
"value": {
"episode_id": 63062,
"episode_number": 7
}
},
{
"id": "5717c999925141276f001778",
"action": "updated",
"time": "2016-04-20 18:25:29 UTC",
"value": {
"episode_id": 63063,
"episode_number": 8
}
},
{
"id": "5717c9a49251411b090018fc",
"action": "updated",
"time": "2016-04-20 18:25:40 UTC",
"value": {
"episode_id": 63064,
"episode_number": 9
}
},
{
"id": "5717c9afc3a368016000173c",
"action": "updated",
"time": "2016-04-20 18:25:51 UTC",
"value": {
"episode_id": 63065,
"episode_number": 10
}
}
]
},
{
"key": "air_date",
"items": [
{
"id": "5717cfefc3a3686c83001cb1",
"action": "updated",
"time": "2016-04-20 18:52:31 UTC",
"value": "2011-04-16",
"original_value": "2011-04-17"
},
{
"id": "5717cffa9251413d3000345d",
"action": "updated",
"time": "2016-04-20 18:52:42 UTC",
"value": "2011-04-16",
"original_value": "2011-04-17"
},
{
"id": "5717d3509251412b3700185b",
"action": "updated",
"time": "2016-04-20 19:06:56 UTC",
"value": "2011-04-16",
"original_value": "2011-04-17"
},
{
"id": "571f26aac3a368352f001db3",
"action": "updated",
"time": "2016-04-26 08:28:26 UTC",
"value": "2011-04-17",
"original_value": "2011-04-17"
}
]
},
{
"key": "name",
"items": [
{
"id": "5717cfefc3a3686c83001cb2",
"action": "added",
"time": "2016-04-20 18:52:31 UTC",
"iso_639_1": "pt",
"value": "Season 1"
},
{
"id": "5717cffa9251413d3000345e",
"action": "deleted",
"time": "2016-04-20 18:52:42 UTC",
"iso_639_1": "pt",
"original_value": "Season 1"
},
{
"id": "5717d3509251412b3700185c",
"action": "added",
"time": "2016-04-20 19:06:56 UTC",
"iso_639_1": "pt",
"value": "1ª Temporada"
},
{
"id": "571f1f64c3a368339f0029f5",
"action": "updated",
"time": "2016-04-26 07:57:24 UTC",
"iso_639_1": "bg",
"value": "Сезон 1",
"original_value": "Season 1"
}
]
},
{
"key": "overview",
"items": [
{
"id": "5717cfefc3a3686c83001cb3",
"action": "added",
"time": "2016-04-20 18:52:31 UTC",
"iso_639_1": "pt",
"value": "A nobre Casa Stark, liderada pelo lorde Eddard Stark se vê em meio de um esquema de traição ao rei Robert Baratheon quando a mão do rei, Jon Arryn, morre misteriosamente."
},
{
"id": "571f26aac3a368352f001db4",
"action": "updated",
"time": "2016-04-26 08:28:26 UTC",
"iso_639_1": "zh",
"value": "本剧第一季内容主要聚焦于冰与火之歌系列小说第一部《权力的游戏》。\n\n故事从维斯特洛大陆边境处发现远古传说中早已灭绝的生物开始,预示着危险即将到来。而这片大陆的临冬城主暨北境统领艾德史塔克家族也迎来了老友兼国王劳勃·拜拉席恩的来访。国王希望艾德·史塔克(肖恩·宾 Sean Bean 饰)能担任首相一职,对抗企图夺取铁王座的叛军。危情一触即发,整个王国看似平和的表面下却是波涛暗涌。权高位重的拜拉席恩家族、勇敢善良的史塔克家族、企图谋取王位的坦格利安家族、有着不可告人秘密的兰尼斯特家族。这些家族各怀鬼胎,国王的意外身亡,使国家马上陷入无尽的战乱之中。",
"original_value": "本剧第一季内容主要聚焦于冰与火之歌系列小说第一部《权力的游戏》。\n\n故事从维斯特洛大陆边境处发现远古传说中早已灭绝的生物开始,预示着危险即将到来。而这片大陆的临冬城主暨北境统领艾德史塔克家族也迎来了老友兼国王劳勃·拜拉席恩的来访。国王希望艾德·史塔克(肖恩·宾 Sean Bean 饰)能担任首相一职,对抗企图夺取铁王座的叛军。危情一触即发,整个王国看似平和的表面下却是波涛暗涌。权高位重的拜拉席恩家族、勇敢善良的史塔克家族、企图谋取王位的坦格利安家族、有着不可告人秘密的兰尼斯特家族。这些家族各怀鬼胎,国王的意外身亡,使国家马上陷入无尽的战乱之中……"
}
]
}
]
}TV SEASONS
Changes
This endpoint get the recent changes for a TV season.
GET
/
tv
/
season
/
{season_id}
/
changes
Changes
curl --request GET \
--url https://api.themoviedb.org/3/tv/season/{season_id}/changes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/season/{season_id}/changes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/season/{season_id}/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/tv/season/{season_id}/changes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/tv/season/{season_id}/changes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/tv/season/{season_id}/changes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/tv/season/{season_id}/changes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"changes": [
{
"key": "episode",
"items": [
{
"id": "5717c8c69251414cfd00250f",
"action": "updated",
"time": "2016-04-20 18:21:58 UTC",
"value": {
"episode_id": 63056,
"episode_number": 1
}
},
{
"id": "5717c90dc3a3686cb7001dd5",
"action": "updated",
"time": "2016-04-20 18:23:09 UTC",
"value": {
"episode_id": 63057,
"episode_number": 2
}
},
{
"id": "5717c917c3a3686c83001bb4",
"action": "updated",
"time": "2016-04-20 18:23:19 UTC",
"value": {
"episode_id": 63058,
"episode_number": 3
}
},
{
"id": "5717c91e9251417a22007531",
"action": "updated",
"time": "2016-04-20 18:23:26 UTC",
"value": {
"episode_id": 63059,
"episode_number": 4
}
},
{
"id": "5717c96fc3a3680160001730",
"action": "updated",
"time": "2016-04-20 18:24:47 UTC",
"value": {
"episode_id": 63060,
"episode_number": 5
}
},
{
"id": "5717c97cc3a3687bc7001548",
"action": "updated",
"time": "2016-04-20 18:25:00 UTC",
"value": {
"episode_id": 63061,
"episode_number": 6
}
},
{
"id": "5717c989c3a3686c83001bc7",
"action": "updated",
"time": "2016-04-20 18:25:13 UTC",
"value": {
"episode_id": 63062,
"episode_number": 7
}
},
{
"id": "5717c999925141276f001778",
"action": "updated",
"time": "2016-04-20 18:25:29 UTC",
"value": {
"episode_id": 63063,
"episode_number": 8
}
},
{
"id": "5717c9a49251411b090018fc",
"action": "updated",
"time": "2016-04-20 18:25:40 UTC",
"value": {
"episode_id": 63064,
"episode_number": 9
}
},
{
"id": "5717c9afc3a368016000173c",
"action": "updated",
"time": "2016-04-20 18:25:51 UTC",
"value": {
"episode_id": 63065,
"episode_number": 10
}
}
]
},
{
"key": "air_date",
"items": [
{
"id": "5717cfefc3a3686c83001cb1",
"action": "updated",
"time": "2016-04-20 18:52:31 UTC",
"value": "2011-04-16",
"original_value": "2011-04-17"
},
{
"id": "5717cffa9251413d3000345d",
"action": "updated",
"time": "2016-04-20 18:52:42 UTC",
"value": "2011-04-16",
"original_value": "2011-04-17"
},
{
"id": "5717d3509251412b3700185b",
"action": "updated",
"time": "2016-04-20 19:06:56 UTC",
"value": "2011-04-16",
"original_value": "2011-04-17"
},
{
"id": "571f26aac3a368352f001db3",
"action": "updated",
"time": "2016-04-26 08:28:26 UTC",
"value": "2011-04-17",
"original_value": "2011-04-17"
}
]
},
{
"key": "name",
"items": [
{
"id": "5717cfefc3a3686c83001cb2",
"action": "added",
"time": "2016-04-20 18:52:31 UTC",
"iso_639_1": "pt",
"value": "Season 1"
},
{
"id": "5717cffa9251413d3000345e",
"action": "deleted",
"time": "2016-04-20 18:52:42 UTC",
"iso_639_1": "pt",
"original_value": "Season 1"
},
{
"id": "5717d3509251412b3700185c",
"action": "added",
"time": "2016-04-20 19:06:56 UTC",
"iso_639_1": "pt",
"value": "1ª Temporada"
},
{
"id": "571f1f64c3a368339f0029f5",
"action": "updated",
"time": "2016-04-26 07:57:24 UTC",
"iso_639_1": "bg",
"value": "Сезон 1",
"original_value": "Season 1"
}
]
},
{
"key": "overview",
"items": [
{
"id": "5717cfefc3a3686c83001cb3",
"action": "added",
"time": "2016-04-20 18:52:31 UTC",
"iso_639_1": "pt",
"value": "A nobre Casa Stark, liderada pelo lorde Eddard Stark se vê em meio de um esquema de traição ao rei Robert Baratheon quando a mão do rei, Jon Arryn, morre misteriosamente."
},
{
"id": "571f26aac3a368352f001db4",
"action": "updated",
"time": "2016-04-26 08:28:26 UTC",
"iso_639_1": "zh",
"value": "本剧第一季内容主要聚焦于冰与火之歌系列小说第一部《权力的游戏》。\n\n故事从维斯特洛大陆边境处发现远古传说中早已灭绝的生物开始,预示着危险即将到来。而这片大陆的临冬城主暨北境统领艾德史塔克家族也迎来了老友兼国王劳勃·拜拉席恩的来访。国王希望艾德·史塔克(肖恩·宾 Sean Bean 饰)能担任首相一职,对抗企图夺取铁王座的叛军。危情一触即发,整个王国看似平和的表面下却是波涛暗涌。权高位重的拜拉席恩家族、勇敢善良的史塔克家族、企图谋取王位的坦格利安家族、有着不可告人秘密的兰尼斯特家族。这些家族各怀鬼胎,国王的意外身亡,使国家马上陷入无尽的战乱之中。",
"original_value": "本剧第一季内容主要聚焦于冰与火之歌系列小说第一部《权力的游戏》。\n\n故事从维斯特洛大陆边境处发现远古传说中早已灭绝的生物开始,预示着危险即将到来。而这片大陆的临冬城主暨北境统领艾德史塔克家族也迎来了老友兼国王劳勃·拜拉席恩的来访。国王希望艾德·史塔克(肖恩·宾 Sean Bean 饰)能担任首相一职,对抗企图夺取铁王座的叛军。危情一触即发,整个王国看似平和的表面下却是波涛暗涌。权高位重的拜拉席恩家族、勇敢善良的史塔克家族、企图谋取王位的坦格利安家族、有着不可告人秘密的兰尼斯特家族。这些家族各怀鬼胎,国王的意外身亡,使国家马上陷入无尽的战乱之中……"
}
]
}
]
}